#
# spec file for package perl-HTML-Tidy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-Tidy
Version:        1.60
Release:        1.30
%define cpan_name HTML-Tidy
Summary:        (X)HTML validation in a Perl object
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-Tidy/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Test::More) >= 0.98
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  libtidyp-devel
BuildRequires:  perl(Alien::Tidyp)
Requires:       perl(LWP::Simple)
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(Test::Exception)
# MANUAL END

%description
'HTML::Tidy' is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user looking
to migrate, see the section Converting from HTML::Lint.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.markdown

%changelog
* Sun Oct  8 2017 coolo@suse.com
- updated to 1.60
  see /usr/share/doc/packages/perl-HTML-Tidy/Changes
  1.60    Wed Sep 13 10:34:35 CDT 2017
  ====================================
  No functionality changes.  Fixes failing tests caused by differing
  versions of the tidy library.  Thanks, Rufus Cable.
  1.58    Sat May 27 00:03:51 CDT 2017
  ====================================
  No functionality changes.  This just fixes some tests.  This will probably
  be the last release that uses the old tidy/tidyp.  There is a new tidy
  that supports HTML 5 and I'm going to start working on making HTML::Tidy
  use that.
  [FIXES]
  Failing tests on Windows.  Thanks, Klaus Baldermann. (GH #11, GH #23)
  [INTERNALS]
  Added more tests.  Thanks, Hunter McMillen.
* Thu Sep 26 2013 pgajdos@suse.com
- updated to 1.56
  * webtidy's version statement now shows the version number of
    the underlying tidyp library.
  * Fixed an undef warning in parse().  Thanks, Vladimir Timofeev.
  * utf8 was never encoded correctly.  Thanks, Vladimir Timofeev
    and Alistair Francis.
  * The ->parse() method would sometimes return false even though
    everything worked fine.  Thanks, @sebaer.
* Thu Nov 29 2012 pgajdos@suse.com
- license Artistic-2.0
* Tue Apr 12 2011 coolo@opensuse.org
- updated to 1.54
  * Fixed incorrect calls to croak().  Thanks, Steve Grazzini.
- update to 1.52
  * First release since the major overhaul that relies on libtidyp.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Tue Jul 31 2007 pgajdos@suse.cz
- moved from OBS, version 1.08
* Fri Jun 22 2007 sierkb@gmx.de
- small changes to the spec file
- 1.08, don't fail on failing test suite for now, see
  http://rt.cpan.org/Ticket/Display.html?id=26875
* Wed Jun 20 2007 suse-tux@gmx.de
- initial build
